[DELETE] Delete rule
You can delete single or multiple rule coming soon within the same request.
* Authentication
Required Authorization
Limit throttle:30,1
Request
Endpoint DELETE - /shop-api/coming-soon/delete
Payload body
| Params | Type | Required |
|---|---|---|
| ids | array | yes max:100 |
DELETE /shop-api/coming-soon/delete HTTP/1.1Host: preorder.globo.ioContent-Type: application/jsonAuthorization: ************Content-Length: 21
{ "ids": [1324]}const myHeaders = new Headers();myHeaders.append("Content-Type", "application/json");myHeaders.append("Authorization", "************");const raw = JSON.stringify({ "ids": [ 1324 ]});const requestOptions = { method: "DELETE", headers: myHeaders, body: raw, redirect: "follow"};fetch("https://preorder.globo.io/shop-api/coming-soon/delete", requestOptions) .then((response) => response.text()) .then((result) => console.log(result)) .catch((error) => console.error(error));$curl = curl_init();curl_setopt_array($curl, array( CURLOPT_URL => 'https://preorder.globo.io/shop-api/coming-soon/delete', CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => '', CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 0, CURLOPT_FOLLOWLOCATION => true, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => 'DELETE', CURLOPT_POSTFIELDS =>'{ "ids": [1324] }', CURLOPT_HTTPHEADER => array( 'Content-Type: application/json', 'Authorization: ************' ),));$response = curl_exec($curl);curl_close($curl);echo $response;Success response 200
{ "success": true, "message": "Coming soon products deleted successfully"}Failed
// missing ids or ids is not array{ "success": false, "message": "The ids field is required"}// not found{ "success": false, "message": "Coming soon products not found"}// catch{ "success": false, "message": "Something went wrong"}Was this helpful?
Thanks for your feedback! Tell us what was missing
Report an issue